Summary:	Enhanced WHOIS client
Name:		whois
Version:	5.2.16
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Other
URL:		http://www.linux.it/~md/software/
Source0:	ftp://ftp.debian.org/debian/pool/main/w/%{name}/%{name}_%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	libidn-devel

%description
This is a new whois (RFC 954) client rewritten from scratch.

It is derived from and compatible with the usual BSD and RIPE whois(1)
programs.

It is intelligent and can automatically select the appropriate whois
server for most queries.

%prep
%setup -q
%autopatch -p1

%build
%make OPTS="%{optflags}" HAVE_LIBIDN=1 LDFLAGS="%{ldflags}" whois pos

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man1

%makeinstall BASEDIR=%{buildroot} prefix=%{_prefix}/ mandir=%{_mandir}
%makeinstall BASEDIR=%{buildroot} prefix=%{_prefix}/ mandir=%{_mandir} -C po

install -m0644 whois.conf %{buildroot}%{_sysconfdir}

%find_lang %{name}

# fix a file conflict with expect (#46500)
mv %{buildroot}%{_bindir}/mkpasswd %{buildroot}%{_bindir}/whois-mkpasswd
mv %{buildroot}%{_mandir}/man1/mkpasswd.1 %{buildroot}%{_mandir}/man1/whois-mkpasswd.1

%files -f %{name}.lang
%doc README
%config(noreplace) %{_sysconfdir}/whois.conf
%{_bindir}/whois
%{_bindir}/whois-mkpasswd
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-mkpasswd.1*
%{_mandir}/man5/%{name}.conf.5*


%changelog
* Sat Jun 17 2017 luigiwalser <luigiwalser> 5.2.16-1.mga6
+ Revision: 1107838
- 5.2.16
- remove upstreamed patch

* Wed Mar 08 2017 luigiwalser <luigiwalser> 5.2.15-1.mga6
+ Revision: 1089784
- 5.2.15
- add patch from fedora to fix querying 6to4 addresses

* Sun Jan 01 2017 luigiwalser <luigiwalser> 5.2.14-1.mga6
+ Revision: 1079001
- 5.2.14

* Fri Nov 04 2016 luigiwalser <luigiwalser> 5.2.13-1.mga6
+ Revision: 1065337
- 5.2.13

* Tue May 10 2016 luigiwalser <luigiwalser> 5.2.12-1.mga6
+ Revision: 1011820
- 5.2.12

* Fri Jan 01 2016 luigiwalser <luigiwalser> 5.2.11-1.mga6
+ Revision: 917616
- 5.2.11

* Tue Nov 17 2015 blino <blino> 5.2.10-1.mga6
+ Revision: 903893
- 5.2.10

* Sat Jul 25 2015 blino <blino> 5.2.9-1.mga6
+ Revision: 857260
- 5.2.9

* Wed Oct 15 2014 umeabot <umeabot> 5.1.5-3.mga5
+ Revision: 746937
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.5-2.mga5
+ Revision: 690306
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 dams <dams> 5.1.5-1.mga5
+ Revision: 662636
- new version 5.1.5

* Wed Jul 02 2014 dams <dams> 5.1.3-1.mga5
+ Revision: 642047
- new version 5.1.3

* Tue Feb 04 2014 dams <dams> 5.1.1-1.mga5
+ Revision: 580742
- new version 5.1.1

* Sat Oct 19 2013 umeabot <umeabot> 5.0.26-2.mga4
+ Revision: 530107
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 dams <dams> 5.0.26-1.mga4
+ Revision: 456203
- new version 5.0.26

* Thu May 23 2013 dams <dams> 5.0.25-1.mga4
+ Revision: 425061
- update %%files for man5
- new version 5.0.25

* Wed Apr 10 2013 dams <dams> 5.0.23-1.mga3
+ Revision: 409392
- new version 5.0.23

* Fri Apr 05 2013 dams <dams> 5.0.22-1.mga3
+ Revision: 408218
- new version 5.0.22

* Mon Jan 14 2013 umeabot <umeabot> 5.0.20-2.mga3
+ Revision: 385690
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 dams <dams> 5.0.20-1.mga3
+ Revision: 307614
- new version 5.0.20

* Tue Sep 25 2012 dams <dams> 5.0.19-1.mga3
+ Revision: 297593
- new version 5.0.19

* Thu Jul 26 2012 dams <dams> 5.0.18-1.mga3
+ Revision: 274537
- new version 5.0.18

* Sat Jun 30 2012 dams <dams> 5.0.17-1.mga3
+ Revision: 265658
- new version 5.0.17

* Wed May 02 2012 dams <dams> 5.0.16-1.mga2
+ Revision: 234483
- new version 5.0.16

* Wed Jan 04 2012 dams <dams> 5.0.14-1.mga2
+ Revision: 190331
- new version 5.0.14

* Thu Dec 01 2011 dams <dams> 5.0.13-1.mga2
+ Revision: 174836
- new version 5.0.13
- clean specfile

* Tue Nov 15 2011 dams <dams> 5.0.12-1.mga2
+ Revision: 168025
- new version 5.0.12

* Sat Feb 19 2011 wally <wally> 5.0.11-1.mga1
+ Revision: 54366
- new version 5.0.11
- drop old provides/obsoletes
- drop buildroot definition
- imported package whois

